import EventBusDispatcher from './layout/EventBusDispatcher';
import Workspace from './Workspace';
declare class DragManager {
    private _workspace;
    private _designerModel;
    private _isDragInProcess;
    private _eventDispatcher;
    private _listeners;
    private _mouseMoveListener;
    private _mouseUpListener;
    constructor(workspace: Workspace, eventDispatcher: EventBusDispatcher);
    add(node: any): void;
    remove(): void;
    protected _buildMouseMoveListener(workspace: Workspace, dragNode: any, dragManager: DragManager): (event: any) => void;
    protected _buildMouseUpListener(workspace: Workspace, node: any, dragNode: any, dragManager: DragManager): (event: any) => void;
    /**
       * type:
       *  - startdragging.
       *  - dragging
       *  - enddragging
       */
    addEvent(type: any, listener: any): void;
}
export default DragManager;
